# You should not need to edit this file. Instead, use a drop-in file as described in:
#   /usr/lib/systemd/system/dirsrv@.service.d/custom.conf

[Unit]
Description=389 Directory Server %i.
PartOf=dirsrv.target
After=chronyd.service ntpd.service network-online.target
Before=radiusd.service

[Service]
Type=notify
NotifyAccess=all
EnvironmentFile=-/etc/default/dirsrv
EnvironmentFile=-/etc/default/dirsrv-%i
PIDFile=/run/dirsrv/slapd-%i.pid
ExecStartPre=/usr/lib/389-ds-base/ds_systemd_ask_password_acl /etc/dirsrv/slapd-%i/dse.ldif
ExecStart=/usr/bin/ns-slapd -D /etc/dirsrv/slapd-%i -i /run/dirsrv/slapd-%i.pid

[Install]
WantedBy=multi-user.target
